Broken SNMP::Info ?

Kevin Oberman rkoberman at gmail.com
Sun Jun 16 01:06:50 UTC 2013


On Thu, Jun 13, 2013 at 10:58 PM, Loïc BLOT <loic.blot at unix-experience.fr>wrote:

> Hello Patrick
> as you see in my first mail, it's SNMP::Info himself which said SNMP.pm
> not found
> --
> Best regards,
> Loïc BLOT,
> UNIX systems, security and network expert
> http://www.unix-experience.fr
>
>
>
>
> Le jeudi 13 juin 2013 à 14:50 -0700, Patrick Powell a écrit :
>
> > On 06/13/13 14:09, Loïc BLOT wrote:
> > > Hi all,
> > > i have updated my netdisco today, and some perl libraries due to long
> > > unupdated system (1 month).
> > > I have a strange problem, i cannot resolve. When i launch netdisco, it
> > > says:
> > >
> > > netdisco -d
> > > You need the SNMP::Info perl module, version 3.01 or newer.
> > > Please install it and try again.
> > >
> > > Can't locate SNMP.pm in @INC (@INC
> > > contains: /usr/local/bin /usr/local/lib/perl5/5.16/BSDPAN
> /usr/local/lib/perl5/site_perl/5.16/mach
> /usr/local/lib/perl5/site_perl/5.16 /usr/local/lib/perl5/5.16/mach
> /usr/local/lib/perl5/5.16 .) at
> /usr/local/lib/perl5/site_perl/5.16/SNMP/Info.pm line 16.
> > > BEGIN failed--compilation aborted
> > > at /usr/local/lib/perl5/site_perl/5.16/SNMP/Info.pm line 16.
> > > Compilation failed in require at (eval 12) line 2.
> > > BEGIN failed--compilation aborted at (eval 12) line 2.
> > >
> > > (Before i was in 5.14.4 version and the problem was the same).
> > >
> > > I have the SNMP-Info port:
> > >
> > > pkg info|grep SNMP-Info
> > > p5-SNMP-Info-3.01              Perl5 module for gathering information
> > > from network devices
> > >
> > > I also tried to upgrade netdisco from recent 1.2 to 1.3, and also
> > > downgrade it to 1.1 but the problem persists. I also use MRTG and there
> > > is no problem.
> > >
> > > Anyone have an idea what i can check more, or how to resolve this
> > > problem (google doesn't help me)?
> > >
> > > Thanks for advance !
> > >
> > Make sure you are using 'use SNMP::Info' and not 'use SNMP'.
> >
>

Did you recently update perl to 5.16.3? If so, did you follow the
instructions in UPDATING?

Those are simple, but will rebuild LOTS of ports that don't need
re-building. I just do:
portmaster p5-
and then check for remaining files under
/usr/local/lib/perl5/site_perl/5.16.2 (replace 5.16.2 with the version of
perl you were previously running. Use "pkg_info -W" with the name of a file
found to gethte name of the port that will need to be rebuilt. (Hint: It
may well be net-snmp.)

When there are only directories remaining under the old site_perl
directory, you're done. But READ the UPDATING entry in any case so that you
will understand the structural change made to the perl ports.

-- 
R. Kevin Oberman, Network Engineer
E-mail: rkoberman at gmail.com


More information about the freebsd-ports mailing list